Subject: Re: [PATCH] git gui: show diffs with a minimum of 1 context line

From: Clemens Buchacher <[email-masked]>
Date: Mon, 1 Sep 2008 21:41:41 +0200

On Mon, Sep 01, 2008 at 12:33:59PM -0700, Shawn O. Pearce wrote:
> Clemens Buchacher <[email-masked]> wrote:
> > git apply does not handle diffs without context correctly. Configuring git
> > gui to show zero context lines therefore breaks staging.
> > 
> > Signed-off-by: Clemens Buchacher <[email-masked]>
> 
> Thanks, this is queued for 'maint'.

Actually, if you don't mind, I changed the commit message because 'git
apply' is not really to blame here:

Staging hunks without context does not work, because line number
information would have to be recomputed for individual hunks.  Since it is
already possible to stage individual lines using 'Stage Line for Commit',
zero context diffs are not really necessary for git gui, however.

Signed-off-by: Clemens Buchacher <[email-masked]>